/* ccgo: igs/login_dialog.cc
 * 
 * Copyright 2002 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#include "login_dialog.hh"
#include <gtkmm/stock.h>

using namespace igs;

void LoginDialog::on_response(int r)
{
	switch (r) {
	case 0:
		hide();
		init->cancel();
		break;
	case 1:
		hide();
		init->set_login(name.get_text(), pass.get_text());
		break;
	default:
		break;
	}
}

LoginDialog::LoginDialog(parser::Init * i) :
	Dialog("Login to IGS"),
	init(i)
{
	Gtk::HBox * hb = Gtk::manage(new Gtk::HBox);
	get_vbox()->pack_start(* hb, Gtk::PACK_SHRINK);
	hb->pack_start(* Gtk::manage(new Gtk::Label("Login: ")), Gtk::PACK_SHRINK);
	hb->pack_start(name);
	hb = Gtk::manage(new Gtk::HBox);
	get_vbox()->pack_start(* hb, Gtk::PACK_SHRINK);
	hb->pack_start(* Gtk::manage(new Gtk::Label("Password: ")), Gtk::PACK_SHRINK);
	hb->pack_start(pass);
	pass.set_visibility(false);
	add_button(Gtk::Stock::CANCEL, 0);
	add_button(Gtk::Stock::OK, 1);
}

LoginDialog::~LoginDialog()
{
	// std::cerr << "deleting login dialog" << std::endl;
}
